-- Author: Hayden Hargreaves (hhargreaves2006@gmail.com)
-- Desc:   Create the recipe of the week table.
-- Date:   07/26/2025

BEGIN;

CREATE TABLE IF NOT EXISTS RecipeOfTheWeek (
  Id SERIAL PRIMARY KEY NOT NULL, 
  RecipeId INTEGER NOT NULL REFERENCES recipes(id),
  Score NUMERIC(10, 4) NOT NULL,
  Created TIMESTAMPTZ NOT NULL DEFAULT NOW()
);

COMMIT;
